MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028427Open CASCADE[OCCT] OCCT:Documentationpublic2017-02-02 14:472017-09-29 16:25
Reporterika 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028427: Data Exchange - Update Reference Manual for STEP format
DescriptionUpdate Data Exchange Reference Manual for STEP format.
Steps To ReproduceDear GKA,

could you please review the first version of documentation?

User guides -> STEP processor -> Reading from and writing to STEP -> Translate a STEP file to XDE / Translate an XDE document to STEP.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0064099)
git (administrator)
2017-03-03 11:08

Branch CR28427 has been created by ika.

SHA-1: 1cd8f7c32d46a0e292ef9686baa378e84a1263f2


Detailed log of new commits:

Author: ika
Date: Tue Jan 17 12:18:42 2017 +0300

    0028427: Data Exchange - Update Reference Manual for STEP format
    Update STEP manual
    Fix code style in several files
(0064196)
gka (developer)
2017-03-09 12:23

Branch CR28427 is ready to be tested
(0064216)
git (administrator)
2017-03-09 18:31

Branch CR28427 has been updated forcibly by apv.

SHA-1: 7320fbe98821c6dd84cde51cfcb80cca36d74419
(0064217)
apv (tester)
2017-03-09 18:31

Branch CR28427 has been rebased on the current master
(0064239)
apv (tester)
2017-03-10 14:58

Hi Yury,

Could you revise current issue? Thank you in advance.
(0064386)
git (administrator)
2017-03-16 17:33

Branch CR28427 has been updated by ysn.

SHA-1: f83fcbdd89121340ccaf2d85551308c9624d19bc


Detailed log of new commits:

Author: ysn
Date: Thu Mar 16 17:33:30 2017 +0300

    Reviewed, fixed grammar and logic issues.

(0064408)
apv (tester)
2017-03-17 17:19

Dear BugMaster,

Branch CR28427 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 1cd8f7c32d46a0e292ef9686baa378e84a1263f2

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1216

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92482110 / 92369409 [+0.12%]
Total CPU difference: 20060.6900000002 / 19841.150000000398 [+1.11%]

Testing on Windows:
Total MEMORY difference: 57670774 / 57663643 [+0.01%]
Total CPU difference: 18677.219724998595 / 18635.5206576986 [+0.22%]
(0065910)
git (administrator)
2017-05-12 11:35

Branch CR28427 has been deleted by kgv.

SHA-1: f83fcbdd89121340ccaf2d85551308c9624d19bc

- Related Changesets
occt: master 63c71e2f
Timestamp: 2017-01-17 09:18:42
Author: ika
Committer: bugmaster
Details ] Diff ]
0028427: Data Exchange - Update Reference Manual for STEP format

- Update STEP manual
- Fix code style in several files
mod - dox/user_guides/step/step.md Diff ] File ]
mod - src/STEPControl/STEPControl_ActorRead.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_Builder.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_GeometricTool.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_MakeTransformed.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateCurveBoundedSurface.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdge.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdgeLoop.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateFace.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslatePolyLoop.cxx Diff ] File ]
mod - src/StepToTopoDS/StepToTopoDS_TranslateShell.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-02-02 14:47 ika New Issue
2017-02-02 14:47 ika Assigned To => ika
2017-03-03 11:08 git Note Added: 0064099
2017-03-03 11:14 ika Assigned To ika => gka
2017-03-03 11:14 ika Status new => resolved
2017-03-03 11:14 ika Steps to Reproduce Updated View Revisions
2017-03-09 12:23 gka Note Added: 0064196
2017-03-09 12:23 gka Assigned To gka => bugmaster
2017-03-09 12:23 gka Status resolved => reviewed
2017-03-09 18:31 git Note Added: 0064216
2017-03-09 18:31 apv Note Added: 0064217
2017-03-09 18:31 apv Assigned To bugmaster => apv
2017-03-10 14:58 apv Note Added: 0064239
2017-03-10 14:58 apv Assigned To apv => ysn
2017-03-10 14:58 apv Status reviewed => feedback
2017-03-16 17:33 git Note Added: 0064386
2017-03-16 17:35 ysn Assigned To ysn => apv
2017-03-16 17:35 ysn Status feedback => assigned
2017-03-17 17:18 apv Status assigned => feedback
2017-03-17 17:19 apv Note Added: 0064408
2017-03-17 17:19 apv Assigned To apv => bugmaster
2017-03-17 17:19 apv Status feedback => tested
2017-03-17 17:20 apv Test case number => Not needed
2017-03-24 15:53 bugmaster Changeset attached => occt master 63c71e2f
2017-03-24 15:53 bugmaster Status tested => verified
2017-03-24 15:53 bugmaster Resolution open => fixed
2017-05-12 11:35 git Note Added: 0065910
2017-09-29 16:20 user533 Fixed in Version => 7.2.0
2017-09-29 16:25 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker